%{!?upstream_version: %global upstream_version %{version}}
%global upstream_name tripleo-api

%{?!_licensedir:%global license %%doc}

Name:           openstack-tripleo-common
Summary:        Python library and REST API for code used by TripleO projects.
Version:        0.0.1
Release:        5%{?dist}
License:        ASL 2.0
Group:          System Environment/Base
URL:            https://github.com/openstack/tripleo-common
Source0:	https://github.com/openstack/tripleo-common/archive/%{version}.tar.gz
Source1:        openstack-tripleo-api.service

BuildArch:      noarch
BuildRequires:  git
BuildRequires:  python-setuptools
BuildRequires:  python2-devel
BuildRequires:  python-pbr
Requires: python-heatclient
Requires: python-oslo-middleware >= 2.8.0

%description
Common source repository for the TripleO Python library and
REST API

%package -n openstack-tripleo-api
Summary:    TripleO REST API

%description -n openstack-tripleo-api
TripleO REST API built on top of tripleo-common.

%prep
%autosetup -n %{upstream_name}-%{version} -S git
rm -rf *.egg-info

# Remove the requirements file so that pbr hooks don't add it
# to distutils requires_dist config
rm -rf {test-,}requirements.txt tools/{pip,test}-requires

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build --root=%{buildroot}

# Install config files
install -d -m 755 %{buildroot}%{_sysconfdir}/nova
install -p -D -m 640 etc/tripleo/tripleo.conf.sample %{buildroot}%{_sysconfdir}/tripleo/tripleo.conf

# install systemd scripts
install -d -m 755 %{buildroot}%{_unitdir}
install -p -D -m 644 %{SOURCE1} %{buildroot}%{_unitdir}/openstack-tripleo-api.service

%pre -n openstack-tripleo-api
# Add the "tripleo" user and group
# TODO? does tripleo need static uid/gids?
# See https://bugzilla.redhat.com/show_bug.cgi?id=752842
getent group tripleo >/dev/null || groupadd -r tripleo
getent passwd tripleo >/dev/null || \
    useradd -r -g tripleo -d %{_sharedstatedir}/tripleo -s /sbin/nologin \
        -c "OpenStack TripleO Daemons" tripleo
exit 0

%post -n openstack-tripleo-api
%systemd_post openstack-tripleo-api.service
%sysctl_apply tripleo.conf

%preun -n openstack-tripleo-api
%systemd_preun openstack-tripleo-api.service

%postun -n openstack-tripleo-api
%systemd_postun_with_restart openstack-tripleo-api.service

%files -n openstack-tripleo-api
%license LICENSE
%doc README.rst AUTHORS ChangeLog
%{_bindir}/tripleo-api
%config(noreplace) %attr(-, root, tripleo) %{_sysconfdir}/tripleo/tripleo.conf
%{python2_sitelib}/tripleo_api*
%exclude %{python2_sitelib}/tripleo_api/test*
%{_unitdir}/openstack-tripleo-api.service

%changelog
* Tue Dec 08 2015 James Slagle <jslagle@redhat.com> 0.0.2-5
- Set a default timeout for 240 minutes for Heat Updates

* Wed Dec 02 2015 Ben Nemec <bnemec@redhat.com> - 0.0.2-4
- Switch to upstream stable/liberty

* Thu Nov 05 2015 Mike Burns <mburns@redhat.com> - 0.0.1-3
- Fix Provides

* Mon Oct 19 2015 John Trowbridge <trown@redhat.com> - 0.0.1-2
- Use a source tarball for a git hash that has passed delorean CI for liberty release

* Wed Apr 15 2015 Jan Provaznik <jprovazn@redhat.com> - 0.0.1-1
- Initial package build

